> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Submit Order



## OpenAPI

````yaml post /lab/order/{order_id}/submit
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /lab/order/{order_id}/submit:
    post:
      tags:
        - Labs
      summary: Submit Order
      operationId: submit_order_lab_order__order_id__submit_post
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: order_id
          in: path
          required: true
          schema:
            type: string
            title: Order Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/LabOrderCreate'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LabOrderDetail'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    LabOrderCreate:
      properties:
        labTestIds:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Labtestids
        markerIds:
          anyOf:
            - items:
                type: integer
              type: array
            - type: 'null'
          title: Markerids
        collectionMethod:
          anyOf:
            - $ref: '#/components/schemas/LabCollectionMethod'
            - type: 'null'
        billingType:
          anyOf:
            - $ref: '#/components/schemas/LabBillingType'
            - type: 'null'
        icdCodes:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Icdcodes
        clinicalNotes:
          anyOf:
            - type: string
            - type: 'null'
          title: Clinicalnotes
        physicianFirstName:
          anyOf:
            - type: string
            - type: 'null'
          title: Physicianfirstname
        physicianLastName:
          anyOf:
            - type: string
            - type: 'null'
          title: Physicianlastname
        physicianNpi:
          anyOf:
            - type: string
            - type: 'null'
          title: Physiciannpi
        physicianMode:
          anyOf:
            - type: string
            - type: 'null'
          title: Physicianmode
        priority:
          type: boolean
          title: Priority
          default: false
        pscName:
          anyOf:
            - type: string
            - type: 'null'
          title: Pscname
        pscAddress:
          anyOf:
            - type: string
            - type: 'null'
          title: Pscaddress
        labSlug:
          anyOf:
            - type: string
            - type: 'null'
          title: Labslug
        labName:
          anyOf:
            - type: string
            - type: 'null'
          title: Labname
        labAccountId:
          anyOf:
            - type: string
            - type: 'null'
          title: Labaccountid
        aoeAnswers:
          anyOf:
            - items:
                $ref: '#/components/schemas/AoEAnswerSchema'
              type: array
            - type: 'null'
          title: Aoeanswers
        patientDetails:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Patientdetails
        patientAddress:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Patientaddress
        physicianId:
          anyOf:
            - type: string
            - type: 'null'
          title: Physicianid
        items:
          anyOf:
            - items:
                $ref: '#/components/schemas/LabOrderCreateItem'
              type: array
            - type: 'null'
          title: Items
        isDraft:
          type: boolean
          title: Isdraft
          default: false
      type: object
      title: LabOrderCreate
    LabOrderDetail:
      properties:
        id:
          type: string
          title: Id
        patientId:
          type: string
          title: Patientid
        labOrderSessionId:
          anyOf:
            - type: string
            - type: 'null'
          title: Labordersessionid
        vendorOrderId:
          anyOf:
            - type: string
            - type: 'null'
          title: Vendororderid
        vendorTransactionId:
          anyOf:
            - type: string
            - type: 'null'
          title: Vendortransactionid
        internalStatus:
          type: string
          title: Internalstatus
        vendorStatus:
          anyOf:
            - type: string
            - type: 'null'
          title: Vendorstatus
        origin:
          type: string
          title: Origin
        collectionMethod:
          anyOf:
            - $ref: '#/components/schemas/LabCollectionMethod'
            - type: 'null'
        labSlug:
          anyOf:
            - type: string
            - type: 'null'
          title: Labslug
        labName:
          anyOf:
            - type: string
            - type: 'null'
          title: Labname
        errorMessage:
          anyOf:
            - type: string
            - type: 'null'
          title: Errormessage
        billingType:
          anyOf:
            - $ref: '#/components/schemas/LabBillingType'
            - type: 'null'
        icdCodes:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Icdcodes
        clinicalNotes:
          anyOf:
            - type: string
            - type: 'null'
          title: Clinicalnotes
        physicianFirstName:
          anyOf:
            - type: string
            - type: 'null'
          title: Physicianfirstname
        physicianLastName:
          anyOf:
            - type: string
            - type: 'null'
          title: Physicianlastname
        physicianNpi:
          anyOf:
            - type: string
            - type: 'null'
          title: Physiciannpi
        physicianMode:
          anyOf:
            - type: string
            - type: 'null'
          title: Physicianmode
        priority:
          anyOf:
            - type: string
            - type: 'null'
          title: Priority
        pscName:
          anyOf:
            - type: string
            - type: 'null'
          title: Pscname
        pscAddress:
          anyOf:
            - type: string
            - type: 'null'
          title: Pscaddress
        labAccountId:
          anyOf:
            - type: string
            - type: 'null'
          title: Labaccountid
        labTestName:
          anyOf:
            - type: string
            - type: 'null'
          title: Labtestname
        sampleType:
          anyOf:
            - type: string
            - type: 'null'
          title: Sampletype
        fasting:
          anyOf:
            - type: string
            - type: 'null'
          title: Fasting
        labAddress:
          anyOf:
            - type: string
            - type: 'null'
          title: Labaddress
        sampleId:
          anyOf:
            - type: string
            - type: 'null'
          title: Sampleid
        createdDate:
          anyOf:
            - type: string
            - type: 'null'
          title: Createddate
        updatedDate:
          anyOf:
            - type: string
            - type: 'null'
          title: Updateddate
        resultsViewedAt:
          anyOf:
            - type: string
            - type: 'null'
          title: Resultsviewedat
        locationId:
          anyOf:
            - type: string
            - type: 'null'
          title: Locationid
        physicianId:
          anyOf:
            - type: string
            - type: 'null'
          title: Physicianid
        creatorId:
          anyOf:
            - type: string
            - type: 'null'
          title: Creatorid
        events:
          items:
            $ref: '#/components/schemas/LabOrderEventDetail'
          type: array
          title: Events
          default: []
        items:
          items:
            $ref: '#/components/schemas/LabOrderItemDetail'
          type: array
          title: Items
          default: []
        aoeAnswers:
          items:
            $ref: '#/components/schemas/AoEAnswerSchema'
          type: array
          title: Aoeanswers
          default: []
        results:
          items:
            $ref: '#/components/schemas/LabBiomarkerResultDetail'
          type: array
          title: Results
          default: []
      type: object
      required:
        - id
        - patientId
        - internalStatus
        - origin
      title: LabOrderDetail
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    LabCollectionMethod:
      type: string
      enum:
        - walk_in_test
        - at_home_phlebotomy
        - testkit
        - on_site_collection
      title: LabCollectionMethod
    LabBillingType:
      type: string
      enum:
        - client_bill
        - commercial_insurance
        - patient_bill
        - patient_bill_passthrough
      title: LabBillingType
    AoEAnswerSchema:
      properties:
        markerId:
          type: integer
          title: Markerid
        questionId:
          type: integer
          title: Questionid
        answer:
          type: string
          title: Answer
      type: object
      required:
        - markerId
        - questionId
        - answer
      title: AoEAnswerSchema
    LabOrderCreateItem:
      properties:
        itemType:
          $ref: '#/components/schemas/LabOrderItemType'
        vendorCatalogId:
          type: string
          title: Vendorcatalogid
        displayName:
          anyOf:
            - type: string
            - type: 'null'
          title: Displayname
        isStripped:
          type: boolean
          title: Isstripped
          default: false
        sourcePresetId:
          anyOf:
            - type: string
            - type: 'null'
          title: Sourcepresetid
      type: object
      required:
        - itemType
        - vendorCatalogId
      title: LabOrderCreateItem
    LabOrderEventDetail:
      properties:
        id:
          type: string
          title: Id
        vendorEventId:
          anyOf:
            - type: integer
            - type: 'null'
          title: Vendoreventid
        statusCode:
          anyOf:
            - type: string
            - type: 'null'
          title: Statuscode
        eventTimestamp:
          anyOf:
            - type: string
            - type: 'null'
          title: Eventtimestamp
      type: object
      required:
        - id
      title: LabOrderEventDetail
    LabOrderItemDetail:
      properties:
        id:
          type: string
          title: Id
        itemType:
          $ref: '#/components/schemas/LabOrderItemType'
        vendorCatalogId:
          type: string
          title: Vendorcatalogid
        displayName:
          anyOf:
            - type: string
            - type: 'null'
          title: Displayname
        isStripped:
          type: boolean
          title: Isstripped
          default: false
        sourcePresetId:
          anyOf:
            - type: string
            - type: 'null'
          title: Sourcepresetid
      type: object
      required:
        - id
        - itemType
        - vendorCatalogId
      title: LabOrderItemDetail
    LabBiomarkerResultDetail:
      properties:
        id:
          type: string
          title: Id
        markerSlug:
          anyOf:
            - type: string
            - type: 'null'
          title: Markerslug
        markerName:
          type: string
          title: Markername
        loincCode:
          anyOf:
            - type: string
            - type: 'null'
          title: Loinccode
        resultType:
          anyOf:
            - $ref: '#/components/schemas/BiomarkerResultType'
            - type: 'null'
        valueNumeric:
          anyOf:
            - type: number
            - type: 'null'
          title: Valuenumeric
        valueDisplay:
          anyOf:
            - type: string
            - type: 'null'
          title: Valuedisplay
        unit:
          anyOf:
            - type: string
            - type: 'null'
          title: Unit
        minRangeValue:
          anyOf:
            - type: number
            - type: 'null'
          title: Minrangevalue
        maxRangeValue:
          anyOf:
            - type: number
            - type: 'null'
          title: Maxrangevalue
        referenceRangeText:
          anyOf:
            - type: string
            - type: 'null'
          title: Referencerangetext
        clinicalInterpretation:
          anyOf:
            - $ref: '#/components/schemas/ClinicalInterpretation'
            - type: 'null'
        notes:
          anyOf:
            - type: string
            - type: 'null'
          title: Notes
        resultTimestamp:
          anyOf:
            - type: string
            - type: 'null'
          title: Resulttimestamp
        sourceMarkers:
          anyOf:
            - items: {}
              type: array
            - type: 'null'
          title: Sourcemarkers
      type: object
      required:
        - id
        - markerName
      title: LabBiomarkerResultDetail
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    LabOrderItemType:
      type: string
      enum:
        - lab_test
        - marker
      title: LabOrderItemType
    BiomarkerResultType:
      type: string
      enum:
        - numeric
        - range
        - comment
        - coded_value
      title: BiomarkerResultType
    ClinicalInterpretation:
      type: string
      enum:
        - normal
        - abnormal
        - critical
      title: ClinicalInterpretation

````